Page MenuHomeFreeBSD

Add 2019q1 status report
ClosedPublic

Authored by trasz on May 28 2019, 3:46 PM.

Details

Summary

Add 2019q1 status report. Note that the intro is still missing;
I'll update the report once it's there. Please review the rest
in the meantime.

I'd like to also request a blank approval for future modifications
of this file, to reduce latency should something require fixing
(typos, markup etc).

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.May 28 2019, 3:46 PM
bcr added a comment.May 28 2019, 4:26 PM

I think blanket approval is OK and the damage is quite low versus the gains being high.

bcr added a comment.May 28 2019, 4:59 PM

A few things I've found. Not sure if we shouldn't keep the original sources and skip DocBook for the quarterly reports.

en_US.ISO8859-1/htdocs/news/status/report-2019-01-2019-03.xml
206 ↗(On Diff #57998)

This could probably be pulled up into the previous line. Maybe there is some way of auto-formatting?

804 ↗(On Diff #57998)

This should probably be a <a href=..> tag.

1243 ↗(On Diff #57998)

s/creates chicken/creates a chicken/

1469 ↗(On Diff #57998)

s/of code/of the code/

1470 ↗(On Diff #57998)

s/as with/with/

1702 ↗(On Diff #57998)

Each person should have their own name entry.

1903 ↗(On Diff #57998)

The link does not work here. The [ and ] need to be removed and put into the <a href=...></a> tag as description.

1925 ↗(On Diff #57998)

Same link-problem here. I guess it was submitted as a different doc format (markdown?) which could not be translated into docbook by the tool.

2015 ↗(On Diff #57998)

s/where/were/

2043 ↗(On Diff #57998)

Another link problem here with [cinnamon].

2054 ↗(On Diff #57998)

And again here... Maybe searching for [ and ] turns up other results like this.

2161 ↗(On Diff #57998)

The `are not properly translated into docbook yet. A <programlisting> comes to mind...

2281 ↗(On Diff #57998)

s/system call/systemcall/

2394 ↗(On Diff #57998)

Replace the `'s with <literal>.

allanjude added inline comments.May 29 2019, 12:23 AM
en_US.ISO8859-1/htdocs/news/status/report-2019-01-2019-03.xml
206 ↗(On Diff #57998)

It doesn't impact how the content renders, so I don't think it is worth spending time on

trasz marked 10 inline comments as done.May 29 2019, 2:21 PM
trasz added inline comments.
en_US.ISO8859-1/htdocs/news/status/report-2019-01-2019-03.xml
1702 ↗(On Diff #57998)

Not sure how to handle this one, to be honest - they all have a common email address for this project.

1925 ↗(On Diff #57998)

Nah, it's just because the md2docbook converter is crappy. It's trivially easy to work around, I just hadn't noticed it.

2043 ↗(On Diff #57998)

Strangely, this one is not a link at all - I've just removed the [brackets].

2054 ↗(On Diff #57998)

Done, found one more example of this.

2161 ↗(On Diff #57998)

There's something weird going on here - even with <programlisting> it looks weird. I'll investigate some more.

2281 ↗(On Diff #57998)

Erm... I think 'system call' is the right term. I've also seen 'syscall', but not really 'systemcall'.

trasz updated this revision to Diff 58042.May 29 2019, 2:21 PM
trasz marked 3 inline comments as done.

Fixes from bcr@.

trasz updated this revision to Diff 58046.May 29 2019, 3:20 PM

Work around formatting problem with <programlisting>.

trasz updated this revision to Diff 58180.Jun 2 2019, 9:38 PM

Add intro. This is the proper release candidate.

allanjude accepted this revision.Jun 2 2019, 9:41 PM

Approved By: allanjude (mentor)

This revision is now accepted and ready to land.Jun 2 2019, 9:41 PM
bcr added a comment.Jun 3 2019, 6:51 AM

@allanjude: No more mentoring required for Edward, we released him a while ago. Time to find a new vict^Wmentee.

trasz added a comment.Jun 3 2019, 8:51 AM

Oh. We talked about this, but I didn't realize it actually happened. Thank you :-)

Also - could you mark it as accepted, so I can put 'Reviewed by' by both of you? Thanks :-)

bcr accepted this revision.Jun 3 2019, 7:32 PM

Ready for publishing. Thanks for doing the work!

This revision was automatically updated to reflect the committed changes.